phpBB 3.2.0-b2 released

General discussion of development ideas and the approaches taken in the 3.x branch of phpBB. The next feature release of phpBB 3 will be 3.2/Rhea followed by 3.3.
Forum rules
Please do not post support questions regarding installing, updating, or upgrading phpBB 3.1. If you need support for phpBB 3.1 please visit the 3.1.x Support Forum on phpbb.com.

If you have questions regarding writing extensions please post in Extension Writers Discussion to receive proper guidance from our staff and community.
Post Reply
juliokr
Registered User
Posts: 37
Joined: Fri Mar 18, 2016 1:05 pm

Re: phpBB 3.2.0-b2 released

Post by juliokr » Tue Mar 22, 2016 9:23 pm

Sorry but when I trie to open the copy of my forum 3.1 on localhost running on PHP7 it says
"General Error
SQL ERROR [ mysql4 ]

mysql_connect function does not exist, is mysql extension installed? []"

This extension was deprecated in PHP 5.5.0

PHP 5.5 was released nov 2013

User avatar
canonknipser
Registered User
Posts: 60
Joined: Mon Sep 19, 2011 4:42 am
Location: Germany

Re: phpBB 3.2.0-b2 released

Post by canonknipser » Tue Mar 22, 2016 10:10 pm

you can use msqli instead - since PHP 5.2.0?
simply change your config.php

Code: Select all

$dbms = 'phpbb\\db\\driver\\mysqli';
Greetings, Frank

english is not my native language

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1732
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: phpBB 3.2.0-b2 released

Post by DavidIQ » Wed Mar 23, 2016 12:45 am

juliokr wrote:
Tue Mar 22, 2016 9:23 pm
Sorry but when I trie to open the copy of my forum 3.1 on localhost running on PHP7 it says
"General Error
SQL ERROR [ mysql4 ]

mysql_connect function does not exist, is mysql extension installed? []"

This extension was deprecated in PHP 5.5.0

PHP 5.5 was released nov 2013
Didn't we already establish that 3.1 does not work with PHP 7? Perhaps you made a mistake in your post since this topic is about 3.2, not 3.1...
Image

juliokr
Registered User
Posts: 37
Joined: Fri Mar 18, 2016 1:05 pm

Re: phpBB 3.2.0-b2 released

Post by juliokr » Wed Mar 23, 2016 11:10 am

DavidIQ wrote:
Wed Mar 23, 2016 12:45 am
Didn't we already establish that 3.1 does not work with PHP 7? Perhaps you made a mistake in your post since this topic is about 3.2, not 3.1...
Exactly that's why it is urgent to finish 3.2 !
It's not a good sign for PHPBB to use php functions who still use php extensions in the last stable version who deprecated since 2 years !

User avatar
Marc
Development Team Leader
Development Team Leader
Posts: 123
Joined: Thu Sep 09, 2010 11:36 am
Location: Munich, Germany

Re: phpBB 3.2.0-b2 released

Post by Marc » Wed Mar 23, 2016 11:35 am

You're describing a non-issue. Simply use MySQLi instead of MySQL and you'll be able to install and use the board. Even 3.1.x should partially work with PHP 7. You will however encounter some issues, especially when it comes to custom BBCodes.

The fact that you're describing a standard setup issue caused by the transition to PHP 7 as a major issue with phpBB is just exaggeration.
phpBB 3.1.x requires PHP 5.3.3+ and therefore also supports the MySQL extension. The same applies to phpBB 3.2.x which has a minimum version of PHP 5.4.0.

Now let's please try to stop arguing about non-issues. Please only discuss phpBB 3.2.0-b2 in this topic.

juliokr
Registered User
Posts: 37
Joined: Fri Mar 18, 2016 1:05 pm

Re: phpBB 3.2.0-b2 released

Post by juliokr » Wed Mar 23, 2016 2:50 pm

Marc wrote:
Wed Mar 23, 2016 11:35 am
The fact that you're describing a standard setup issue caused by the transition to PHP 7 as a major issue with phpBB is just exaggeration.
phpBB 3.1.x requires PHP 5.3.3+ and therefore also supports the MySQL extension. The same applies to phpBB 3.2.x which has a minimum version of PHP 5.4.0.

Now let's please try to stop arguing about non-issues. Please only discuss phpBB 3.2.0-b2 in this topic.
Please don't misunderstand me I appreciate the work of PHPBB developers team.
But for example my hosting provider OVH doesn't support php 5.3 anymore since march 2015.
So I would love that phpbb would be more oriented to the future than to the past

User avatar
david63
Registered User
Posts: 217
Joined: Mon Feb 07, 2005 7:23 am
Location: Lancashire, UK

Re: phpBB 3.2.0-b2 released

Post by david63 » Wed Mar 23, 2016 2:56 pm

juliokr wrote:
Wed Mar 23, 2016 2:50 pm
my hosting provider OVH doesn't support php 5.3 anymore since march 2015.
That's fair enough - but they must have been/are supporting some later version (5.6?) as PHP7 was only released at the end of last year.
juliokr wrote:
Wed Mar 23, 2016 2:50 pm
So I would love that phpbb would be more oriented to the future than to the past
I am sure the developers would appreciate it if you would tell them what will be in the final PHP8 so that they can make phpBB 3.3 compatible
David
Remember: You only know what you know -
and you do not know what you do not know!

User avatar
pierredu
Registered User
Posts: 33
Joined: Sat Dec 05, 2015 7:21 am

Re: phpBB 3.2.0-b2 released

Post by pierredu » Thu Mar 24, 2016 8:01 am

juliokr wrote:
Wed Mar 23, 2016 2:50 pm
But for example my hosting provider OVH doesn't support php 5.3 anymore since march 2015.
OVH supports 5.4., 5.5 and 5.6. Just specify the version you want in the .ovhconfig file.

User avatar
Marc
Development Team Leader
Development Team Leader
Posts: 123
Joined: Thu Sep 09, 2010 11:36 am
Location: Munich, Germany

Re: phpBB 3.2.0-b2 released

Post by Marc » Thu Mar 24, 2016 4:49 pm

juliokr wrote:
Wed Mar 23, 2016 2:50 pm
Marc wrote:
Wed Mar 23, 2016 11:35 am
The fact that you're describing a standard setup issue caused by the transition to PHP 7 as a major issue with phpBB is just exaggeration.
phpBB 3.1.x requires PHP 5.3.3+ and therefore also supports the MySQL extension. The same applies to phpBB 3.2.x which has a minimum version of PHP 5.4.0.

Now let's please try to stop arguing about non-issues. Please only discuss phpBB 3.2.0-b2 in this topic.
Please don't misunderstand me I appreciate the work of PHPBB developers team.
But for example my hosting provider OVH doesn't support php 5.3 anymore since march 2015.
So I would love that phpbb would be more oriented to the future than to the past
At lot of other hosters are still at rather old PHP versions. Also, please note that supporting the MySQL extension in addition to the MySQLi one does not add any extra overhead both for your board and regarding the development. There is simply no point in intentionally not supporting the MySQL extension in PHP versions prior to 7.0. Hence why this is a non-issue.

User avatar
3Di
Registered User
Posts: 695
Joined: Tue Nov 01, 2005 9:50 pm
Location: Milano (I) Frankfurt (D)
Contact:

Re: phpBB 3.2.0-b2 released

Post by 3Di » Sat Mar 26, 2016 10:28 pm

I did install a fresh 3.0.2-b2 on localhost and went smootly and fast, with compliments.

I have one question, I do not know if this topic is the right place where to ask or open a new one.

Could someone please tell me the reason why the 'all' directory now exists into the styles folder?
Purposes, links to docs.. anything is welcome.

Thanks.
Want to compensate me for my interest? Don't ask me, just do it
I'm available for custom phpBB jobs, you can PM me the details.
New: my Live Board, Extensions and Tools for phpBB - Men at works.

Post Reply